USN-5662-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5662-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5662-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5662-1
Related
Published
2022-10-10T05:11:49.625808Z
Modified
2022-10-10T05:11:49.625808Z
Summary
libonig vulnerabilities
Details

It was discovered that Oniguruma incorrectly handled certain regular expressions. An attacker could possibly use this issue to cause a denial of service, obtain sensitive information or other unspecified impact. This issue only affected Ubuntu 16.04 ESM and Ubuntu 18.04 ESM. (CVE-2019-16163, CVE-2019-19012, CVE-2019-19204, CVE-2019-19246)

It was discovered that Oniguruma incorrectly handled memory when using certain UChar pointers. An attacker could possibly use this issue to cause a denial of service or sensitive information disclosure. (CVE-2019-19203)

References

Affected packages

Ubuntu:Pro:14.04:LTS / libonig

Package

Name
libonig

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.9.1-1ubuntu1.1+esm3

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "libonig-dev": "5.9.1-1ubuntu1.1+esm3",
            "libonig2": "5.9.1-1ubuntu1.1+esm3"
        }
    ]
}

Ubuntu:Pro:18.04:LTS / libonig

Package

Name
libonig

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
6.7.0-1ubuntu0.1~esm2

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "libonig-dev": "6.7.0-1ubuntu0.1~esm2",
            "libonig4": "6.7.0-1ubuntu0.1~esm2"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / libonig

Package

Name
libonig

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.9.6-1ubuntu0.1+esm3

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "libonig-dev": "5.9.6-1ubuntu0.1+esm3",
            "libonig2": "5.9.6-1ubuntu0.1+esm3"
        }
    ]
}